// MediaPlayer.vala

/*
This file is part of MPRIS Applet Base

GNOME MPRIS Base is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

In addition, as a special exception, The developers of the GNOME MPRIS Base grants permission for non-GPL compatible GStreamer plugins to be used and distributed together with GStreamer and GNOME MPRIS Base. This permission is above and beyond the permissions granted by the GPL license by which GNOME MPRIS Base is covered. If you modify this code, you may extend this exception to your version of the code, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.

GNOME MPRIS Base is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
*/

using GLib;

namespace MprisApp.Mpris2 {
	[DBus(name = "org.mpris.MediaPlayer2")]
	internal interface MediaPlayer : GLib.Object {
		public abstract bool CanQuit { get; }
		public abstract bool CanRaise { get; }
		public abstract bool HasTrackList { get; }
		public abstract string Identity { owned get; }
		public abstract string DesktopEntry { owned get; }
		public abstract string[] SupportedUriSchemes { owned get; }
		public abstract string[] SupportedMimeSchemes { owned get; }
	
		public abstract void Quit () throws IOError;
		public abstract void Raise () throws IOError;
	}
}
