// Player.vala

/*
This file is part of MPRIS Applet Base

GNOME MPRIS Base is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

In addition, as a special exception, The developers of the GNOME MPRIS Base grants permission for non-GPL compatible GStreamer plugins to be used and distributed together with GStreamer and GNOME MPRIS Base. This permission is above and beyond the permissions granted by the GPL license by which GNOME MPRIS Base is covered. If you modify this code, you may extend this exception to your version of the code, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.

GNOME MPRIS Base is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
*/

using GLib;

namespace MprisApp.Mpris2 {
	[DBus(name = "org.mpris.MediaPlayer2.Player")]
	public interface Player : GLib.Object {
		public abstract string PlaybackStatus { owned get; }
		public abstract string LoopStatus { owned get; }
		public abstract double Rate { get; }
		public abstract double MinimumRate { get; }
		public abstract double MaximumRate { get; }
		public abstract bool CanGoNext { get; }
		public abstract bool CanGoPrevious { get; }
		public abstract bool CanPlay { get; }
		public abstract bool CanPause { get; }
		public abstract bool CanSeek { get; }
		public abstract bool CanControl { get; }
	
		public abstract void Next() throws IOError;
		public abstract void Previous() throws IOError;
		public abstract void Pause () throws IOError;
		public abstract void PlayPause () throws IOError;
		public abstract void Play () throws IOError;
		public abstract void Stop () throws IOError;
		public abstract void Seek (int64 offset) throws IOError;
		public abstract void SetPosition (string track_id, int64 position) throws IOError;
		public abstract void OpenURI (string uri) throws IOError;
	}
}
